"""
    is_leap_year(year)

Return `true` if `year` is a leap year in the gregorian calendar.

"""
function divisible_by_4(year)
    return year % 4 == 0 
end

function divisible_by_100_and_400(year)
    return year % 100 != 0 || year % 400 == 0
end


function is_leap_year(year)
    return divisible_by_4(year) && divisible_by_100_and_400(year)
end
